Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch.configs
Class User

    java.lang.Object
      org.deegree.portal.owswatch.configs.User

All Implemented Interfaces:
  Serializable

    public class User

extends Object
implements Serializable

A Class to hold the information of an owsWatch user

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`User(String username, String password, String firstName, String lastName, String email, List<String> roles)`

Method Summary
`String` | `getEmail()`
`String` | `getFirstName()`
`String` | `getLastName()`
`String` | `getPassword()`
`List<String>` | `getRoles()`
`String` | `getUsername()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User

    public User(String username,
                String password,
                String firstName,
                String lastName,
                String email,
                List<String> roles)

Parameters:
  `username` -
  `password` -
  `firstName` -
  `lastName` -
  `email` - The email will be used to send error emails in case a service failed
  `roles` - indicates whether a user is allowed to add/edit services, or just watch them

Method Detail

### getEmail

    public String getEmail()

  Returns:
    String

### getFirstName

    public String getFirstName()

  Returns:
    String

### getLastName

    public String getLastName()

  Returns:
    String

### getPassword

    public String getPassword()

  Returns:
    String

### getRoles

    public List<String> getRoles()

  Returns:
    List

### getUsername

    public String getUsername()

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org